package com.nantian.cloud.jly.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jly.entity.CheckBasis;
import com.nantian.cloud.jly.entity.EnterpriseHalt;
import com.nantian.cloud.jly.mapper.CheckBasisMapper;
import com.nantian.cloud.jly.mapper.EnterpriseHaltMapper;
import com.nantian.cloud.jly.service.CheckBasisService;
import com.nantian.cloud.jly.service.EnterpriseHaltService;
import com.nantian.cloud.jly.vo.EnterpriseHaltVo;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.springframework.stereotype.Service;

import java.math.BigInteger;
import java.util.List;

/**
 * 审批意见表
 */
@Service("enterpriseHaltService")
public class EnterpriseHaltServiceImpl extends ServiceImpl<EnterpriseHaltMapper, EnterpriseHalt> implements EnterpriseHaltService {

    @Override
    public List<EnterpriseHaltVo> getEnterpriseHalt(String epc) {
        return baseMapper.getEnterpriseHalt(epc);
    }

    @Override
    public List<EnterpriseHalt> getHaltCompany(String statDate, String epcStr) {
        return baseMapper.getHaltCompany(statDate,epcStr);
    }

    @Override
    public List<EnterpriseHaltVo> getHaltByState(String state) {
        return baseMapper.getHaltByState(state,new DataScope());
    }

    @Override
    public String getHaltstateByEpc(String epc) {
        return baseMapper.getHaltstateByEpc(epc);
    }


}
